Jump to content
Netduma Fraser

Krack WiFi Vulnerability Upgrade (1.03.6i)

Recommended Posts

 

This upgrade is to fix the recently discovered WiFi vulnerability - Krack. This upgrade is optional, there are no extra features or other bug fixes included. This is not DumaOS. If you have the R1 WiFi disabled then there is no need to upgrade to this version though it may be a good idea to do so if you plan on using the WiFi again in future.

 

If you are not on the latest version - 1.03.6g/h you will need to upgrade to that first before upgrading to this version. To check your version/upgrade to .g please go here.

 

Upgrade Instructions

  • Download the upgrade here
  • Go to the Upgrade section on the Netduma interface
  • Choose Advanced
  • Ensure preserve settings & check version are ticked.
  • Click browse & navigate to where you downloaded the upgrade file and click open.
  • Click upgrade, it will take around 3 minutes. Please do not unplug the router during this time.
  • If you are wired to your computer or connected via Wifi (and won't automatically connect to another Wifi name) you will be taken to the home interface screen when the upgrade has been completed.
  • If the rare event that you get an error message please contact us and do not turn off the router. Do not worry, it just requires some help from our team.

Change Log

  • Fixed WPA2 KRACK attack by accepting key reinstall without changing anything.

 

Thank you, much apprecitated

Share this post


Link to post
Share on other sites

The upgrade was weird...I followed the instructions(I'm on 1.03.6h). Then it said 'exitcode 999', I'm sweating balls because the whole time the loading icon is moving yet nothing is happening...bricked? No. After 15m a message pops up saying(in green) Your router has been updated to FMW 1.03.6h??? WTF?, but I'm on 1.03.6h last time I checked.

 

Duma is stuck at the upgrade page, so it seems, (but I just gotta refresh the browser) and then I follow the instructions again and i'm taken to the 1.03.6hi?! upgrade( I'm elated)

So I accept, it reboots(beep!) and all is well. 3m my ass lol It was longer than expected sheer terror! I still love you though DUMA!

Share this post


Link to post
Share on other sites

The upgrade was weird...I followed the instructions(I'm on 1.03.6h). Then it said 'exitcode 999', I'm sweating balls because the whole time the loading icon is moving yet nothing is happening...bricked? No. After 15m a message pops up saying(in green) Your router has been updated to FMW 1.03.6h??? WTF?, but I'm on 1.03.6h last time I checked.

 

Duma is stuck at the upgrade page, so it seems, (but I just gotta refresh the browser) and then I follow the instructions again and i'm taken to the 1.03.6hi?! upgrade( I'm elated)

So I accept, it reboots(beep!) and all is well. 3m my ass lol It was longer than expected sheer terror! I still love you though DUMA!

 

Oh wow that is stressful! Haven't heard of that happening before!

Share this post


Link to post
Share on other sites

i think i posted in the right place, but just in case... im currently on 1.02.6 version team... need help upgrading... my netduma isn't working thanks... i clicked remote access in settings...thank you once again

Share this post


Link to post
Share on other sites

If you are not on the latest version - 1.03.6g/h you will need to upgrade to that first before upgrading to this version. To check your version/upgrade to .g please go here.

i think i posted in the right place, but just in case... im currently on 1.02.6 version team... need help upgrading... my netduma isn't working thanks... i clicked remote access in settings...thank you once again

 

You're not on the latest, you need to go to the link.

 

Hi can I upgrade this firmware I am currently on 1.03.6h  cheers.

 

You're on the latest, you can just upgrade following the instructions.

Share this post


Link to post
Share on other sites

Update went off fine.

 

On a slightly related topic, if we have a botched update and we need to "contact us" how exactly should we do that?

 

If the upgrade goes wrong in any way, just create a thread on General Support and we'll do our best to solve the issue :)

Share this post


Link to post
Share on other sites

 

This upgrade is to fix the recently discovered WiFi vulnerability - Krack. This upgrade is optional, there are no extra features or other bug fixes included. This is not DumaOS. If you have the R1 WiFi disabled then there is no need to upgrade to this version though it may be a good idea to do so if you plan on using the WiFi again in future.

 

If you are not on the latest version - 1.03.6g/h you will need to upgrade to that first before upgrading to this version. To check your version/upgrade to .g please go here.

 

Upgrade Instructions

  • Download the upgrade here
  • Go to the Upgrade section on the Netduma interface
  • Choose Advanced
  • Ensure preserve settings & check version are ticked.
  • Click browse & navigate to where you downloaded the upgrade file and click open.
  • Click upgrade, it will take around 3 minutes. Please do not unplug the router during this time.
  • If you are wired to your computer or connected via Wifi (and won't automatically connect to another Wifi name) you will be taken to the home interface screen when the upgrade has been completed.
  • If the rare event that you get an error message please contact us and do not turn off the router. Do not worry, it just requires some help from our team.

Change Log

  • Fixed WPA2 KRACK attack by accepting key reinstall without changing anything.

 

 

Hi, I just tried to do this, but th elink to the update if broken. I am on .g version and just wanted to fix the wifi thing.

many thanks

Best,

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×